<?php
include_once 'HTML/QuickForm.php';


class Form extends HTML_QuickForm
{
	private $Skin;
	
	
	public function __construct($formName='', $method='post', $action='', $target='', $attributes=null, $trackSubmit = false) {
		if ($action == '') $action = Dispatcher::Singleton()->GetPath();
		parent::__construct($formName, $method, $action, $target, $attributes, $trackSubmit);
		$this->AcceptSkin(Dispatcher::Singleton()->GetSkin());
	}
	
	public function AcceptSkin($Skin) {
		if ($Skin instanceof Skin) {
			$this->Skin = $Skin;
			$this->setRequiredNote($this->Skin->Lang('_required_note'));
			$this->setJsWarnings($this->Skin->Lang('_invalid_info'), $this->Skin->Lang('_correct_info'));
		}
	}
	
	public function display() {
		if (isset($this->Skin)) {
			$this->Skin->assign('Form', $this);
			$this->Skin->assign('FormArray', $this->toArray(true));
			$this->Skin->display('Form.tpl');
		} else {
			parent::display();
		}
	}
}

?>