<?php
$this->Log->AddSystem('Grabber started');
$DbUrls = new DbUrls();

while ($this->Process->GetTime() < CONF_PROC_DURATION) 
{
	$this->Process->AddAction('grabber');	
	
	// NEXT PORTION
	$Sources = $DbUrls->GetNextPortion();
	if (empty($Sources)) {
		$this->Log->AddMessage('All sources is grabbed');
		$this->Config->SetParam('stat_grabbed_time', time());
		$this->Config->SetParam('stat_grabbed_count', DbProxy::GetUncheckedCount());
		break;
	}
	
	// REQUEST
	$Multi = new MultiRequester($Sources);
	$Multi->Exec();
	$this->Log->AddSystem('Multirequest result: '.$Multi->GetStatusString());
	
	// PARSE
	foreach ($Sources as $Src) {
		$this->Log->AddMessage($Src->GetUrl());
		$this->Log->AddLog(
			($Src->IsError() ? LOGFILE_ERROR : LOGFILE_MESSAGE),
			'CURL:'.$Src->GetErrno().' '.$Src->GetError().' HTTP:'.$Src->GetHttpCode().' '.$Src->GetHttpAnswer()
			);
		
		if ($this->Config->GetParam('grab_str2ip') && $Src->IsOk()) $this->Log->AddMessage('Replacing proxy hosts to IP');
			
		$Src->Parse();
		$Src->Save();
		
		$this->Log->AddLog(($Src->GetCount() ? LOGFILE_OK:LOGFILE_MESSAGE), 'Found '.$Src->GetCount().' proxies');
	}
}

$this->Log->AddSystem('Grabber finished');
?>