<?php

function __autoload($class_name) {
	ClassAutoLoad('classes', $class_name);
}


function ClassAutoLoad($directory, $class_name) {
	// try load from current directory
	$file = $directory.'/class.'.$class_name.'.php';
	if( file_exists($file)) {

		include_once($file);
		
	} else {
				
		// search in subdirectories
		$dir = dir($directory);
		while(($entry = $dir->read()) !== false) {
			$path = $dir->path.'/'.$entry;
			if(is_dir($path)
			&& $entry != '.'
			&& $entry != '..') 
			{
				ClassAutoLoad($path, $class_name);
			}
		}
		$dir->close();				
	}	
} 

?>