<?php

interface DbAccessMethods
{
	public static function Singleton();
	public function SetEncoding($Encoding);	
	public function SetFetchType($Type);
	
	public function Begin();
	public function Commit();
	public function Rollback();
	
	public function Query($Query);

	public function FetchRow();
	public function FetchCell($Field=0);
	public function FetchColumn($Field=0);
	public function FetchObject();
	public function FetchObjects();
	
	public function GetFetchType();
	public function GetEncoding();
	public function GetLastQuery();
	
	public function NumRows();
	public function AffectedRows();
	public function InsertId();
	public function Info();
	public function Stat();
	
	public function FreeResult();
}

?>