<?php
$this->Log->AddSystem('Export started');
$DbExport = new DbExport();

while ($this->Process->GetTime() < CONF_PROC_DURATION)
{
	$this->Process->AddAction('export');	
	
	// NEXT PORTION
	$Receivers = $DbExport->GetNextPortion(CONF_EXPORT_PORTION);
	if (empty($Receivers)) {
		$this->Log->AddMessage('All receivers processed');
		break;
	}

	// EXPORT
	foreach ($Receivers as $v) {
		$v->Export();
		
		$Url = CONF_URL_ROOT.'Export/Receiver/?id='.$v->GetId();
		if ($v->GetError())	$this->Log->AddError('Cannot export to '.$v->GetDescription().' ('.$v->GetError().') '.$Url);
		else 				$this->Log->AddOk('Exported to '.$v->GetDescription().' '.$Url);
	}
}

$this->Log->AddSystem('Export finished');
?>